"""
Http protocol constants
"""

# min size of response body for compressing (if 'identity' presents in 'Accept-Encoding' header)
COMPRESS_MIN_SIZE = 500
# max length uri for logs
MAX_URI_LENGTH_IN_LOGS = 500

# web app http settings, service get these settings from own configuration usually, these settings needs for
# compatibility
# How long a request can take to arrive (sec)
STANDARD_REQUEST_TIMEOUT = 60
# How long a response can take to process (sec)
STANDARD_RESPONSE_TIMEOUT = 10 * 60
# How big a request may be (bytes)
STANDARD_REQUEST_MAX_SIZE = 2 ** (10 + 10 + 10)
# How long to hold a TCP connection open (sec)
STANDARD_KEEP_ALIVE_TIMEOUT = 200
